import { Coordinate } from "ol/coordinate";

export interface SatelliteMapsProviders {
    google: 'google';
    yandex: 'yandex';
    custom: 'custom';
}
export type SatelliteMapsProvider = SatelliteMapsProviders[keyof SatelliteMapsProviders]

export interface IGeometryTypes {
    LINE: 'LINE'
    POLYGON: 'POLYGON'
}

export type IGeometryType = IGeometryTypes[keyof IGeometryTypes]

export interface IRectCoords {
    bl: Coordinate | undefined,
    tl: Coordinate | undefined,
    tr: Coordinate | undefined,
    br: Coordinate | undefined
}